AddressBookService
List Internal Transfer Whitelist
List internal transfer whitelist entries for one visible address book.
Request
curl --request GET \ \ --url 'https://api.testnet.polyester.com/v1/auth/internal-transfer-whitelist?limit=100&pageToken=eyJvZmZzZXQiOjEwMH0&subaccountId=6789012345678' \ --header 'Accept: */*' \ --header 'X-API-KEY-ID: YOUR_API_KEY_ID' \ --header 'X-API-TIMESTAMP: YOUR_API_TIMESTAMP' \ --header 'X-API-SIGNATURE: YOUR_API_SIGNATURE'
Responses
{
"entries": [
{
"createdAt": "2025-01-01T00:00:00Z",
"entryId": "1",
"resolutionStatus": "RESOLVED",
"rootAccountId": "7563897446546",
"rootUsername": "trader_alpha",
"scope": {
"rootAccountId": "7563897446546",
"scopeType": "ROOT",
"subaccountId": "37p1mNkb5uz"
},
"smartAccountAddress": "0x2222222222222222222222222222222222222222",
"subaccountLabel": "Market Making",
"targetAccountId": "7563897446546",
"targetScopeType": "ROOT",
"updatedAt": "2025-01-01T00:00:00Z"
}
],
"nextPageToken": "eyJvZmZzZXQiOjIwMH0"
}Maximum number of whitelist entries to return. Defaults to 200 when omitted; maximum is 500.
Opaque keyset cursor from a previous response. The cursor is exclusive and bound to account, subaccount scope, and stable whitelist-entry sort order.
Optional subaccount scope. Omit to use the root account address book.
Stable public id of this internal transfer whitelist entry.
1Address-book scope type.
ROOTRoot account that owns this address book.
7563897446546Subaccount for subaccount-scoped books. Empty for root account books.
37p1mNkb5uzRoot account that owns the target internal account.
7563897446546Target account or subaccount public id.
7563897446546Whether target_account_id identifies a root account or a subaccount.
ROOTSmart account address allowed for internal transfers.
0x2222222222222222222222222222222222222222Username for the destination root account, when available.
trader_alphaLabel for the destination subaccount, when the destination is a subaccount.
Market MakingTime this whitelist entry was created, as a UTC timestamp.
2025-01-01T00:00:00ZTime this whitelist entry was last updated, as a UTC timestamp.
2025-01-01T00:00:00ZWhether destination account details are available.
RESOLVEDOpaque cursor for the next page. Empty when no more results exist.
eyJvZmZzZXQiOjIwMH0| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |